Subject: Re: [PATCH net-next 0/5] net/sched: Retire some tc qdiscs and classifiers

From: Jakub Kicinski <[email-masked]>
Date: Tue, 14 Feb 2023 13:40:13 -0800

On Tue, 14 Feb 2023 15:25:40 +0100 Jiri Pirko wrote:
> Tue, Feb 14, 2023 at 02:49:10PM CET, [email-masked] wrote:
> >The CBQ + dsmark qdiscs and the tcindex + rsvp classifiers have served us for
> >over 2 decades. Unfortunately, they have not been getting much attention due
> >to reduced usage. While we dont have a good metric for tabulating how much use
> >a specific kernel feature gets, for these specific features we observed that
> >some of the functionality has been broken for some time and no users complained.
> >In addition, syzkaller has been going to town on most of these and finding
> >issues; and while we have been fixing those issues, at times it becomes obvious
> >that we would need to perform bigger surgeries to resolve things found while
> >getting a syzkaller fix in place. After some discussion we feel that in order
> >to reduce the maintenance burden it is best to retire them.
> >
> >This patchset leaves the UAPI alone. I could send another version which deletes
> >the UAPI as well. AFAIK, this has not been done before - so it wasnt clear what
> >how to handle UAPI. It seems legit to just delete it but we would need to
> >coordinate with iproute2 (given they sync up with kernel uapi headers). There  
> 
> I think we have to let the UAPI there to rot in order not to break
> compilation of apps that use those (no relation to iproute2).

Yeah, I was hoping there's no other users but this is the first match
on GitHub:

https://github.com/t2mune/nield/blob/0c0848d1d1e6c006185465ee96aeb5a13a1589e6/src/tcmsg_qdisc_dsmark.c

:(